#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	dvd+rw-tools
Version		:	7.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Toolchain to master DVD+RW/+R media

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://fy.chalmers.se/~appro/linux/DVD+RW/tools/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
The dvd+rw-tools package contains several utilities to master
the DVD media, both +RW/+R and -R[W]. The principle tool is
growisofs which provides a way to both lay down and grow an
ISO9660 file system on (as well as to burn an arbitrary
pre-mastered image to) all supported DVD media. This is useful
for creating a new DVD or adding to an existing image on a
partially burned DVD. 

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

sed -i								\
  -e '/stat.h/a #include <sys/sysmacros.h>/'			\
  growisofs.c
sed -i								\
  -e '/stdlib/a #include <limits.h>'				\
  transport.hxx 

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\
	all							\
	rpl8							\
	btcflash						\


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	prefix=%{buildroot}%{_prefix}			\
	install


%files			
%defattr(-,root,root,-)
%{_bindir}/btcflash
%{_bindir}/dvd+rw-*
%{_bindir}/dvd-ram-control
%{_bindir}/growisofs
%{_bindir}/rpl8
%{_mandir}/man1/*.1.gz
%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
